#
# spec file for package python-outcome
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-outcome
Version:        1.0.0
Release:        lp152.1.2
Summary:        Function for capturing the outcome of Python function calls
License:        MIT OR Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/python-trio/outcome
Source:         https://github.com/python-trio/outcome/archive/v%{version}.tar.gz#/outcome-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-attrs
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module attrs}
BuildRequires:  %{python_module pytest-cov}
BuildRequires:  %{python_module pytest}
BuildRequires:  python3-async_generator
BuildRequires:  python3-pytest-asyncio
# /SECTION
%python_subpackages

%description
Outcome provides a function for capturing the outcome of a Python
function call, so that it can be passed around.

%prep
%setup -q -n outcome-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE LICENSE.APACHE2 LICENSE.MIT
%{python_sitelib}/*

%changelog
* Sun Jun  2 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in summary.
* Tue May 14 2019 Tomáš Chvátal <tchvatal@suse.com>
- Fix build for python2
- Really run tests
* Sat May 11 2019 Torsten Gruner <t.gruner@katodev.de>
- Initial release version 1.0.0
